You are not logged in.
tde-trinity is TDEs top meta-package. When installing it pulls in the next layer of meta-packages. When you uninstall any package that is referenced somewhere down the dependency tree you'll end up with all depending packages removed. e.g. "tde-trinity" depends on "tdeedu-trinity" depends on "klatin-trinity". klatin-trinity" will remove all the meta-packages that depend on it, including "tde-trinity". As all other TDE packages like "tde-core-trinity" are marked as "automatically installed" they will be removed when the last package depending on them is removed ... so removing "klatin-trinity" will remove the whole of TDE.
To prevent this from happening you can mark all packages that "tde-trinity" depends on as "manually installed", e.g.:
apt-mark manual $(LANG=C aptitude show tde-trinity |grep Depends|sed -e 's#Depends:##' -e 's#([^)]*),##g')Now removing "klatin-trinity" will remove the meta-package "tde-trinity" and the meta-package "tdeedu-trinity" plus all other things mentioned in "tdeedu-trinity", but the rest of TDE will still be installed. As the meta-packages are there for your convinience it works as intended ![]()
I prefer to start with a full installation and then work my way back. Just mark all packages installed by tde-trinity as "manual". "tdm-trinity" should be pulled in automatically.
Well, you can just use regular stable devuan and follow the installation guide for TDE:
https://wiki.trinitydesktop.org/Devuan_ … structions
You find my customisations in /etc/skel - just copy them over to your installation, it'll work.
BTW, I run testing as my daily gear and I'm happy with it - but YMMV ![]()
When you add "--removable" then it actually boots, like:
grub-install --target=x86_64-efi --efi-directory=/boot/efi --bootloader-id=GRUB --removable
Passwords are the same as in the first post:
user / user
root / toor
I just uploaded my new ISO with your Xlibre build ![]()
https://dev1galaxy.org/viewtopic.php?pid=58275#p58275
Autumn 2025 Version is out!
I just finished uploading the latest version of "darkness". Biggest changes:
- TDE 14.2-DEVELOPMENT
- Xlibre instead of Xorg - thanks to @callmetango
- new background images
- kernel 6.16.8
- own repository for darkness-specific packages (ATM a package for the repo and the wallpapers)
Issues solved:
- EFI installation on blank disk works now
- TDE language packs of unused languages are removed when booting from iso, so that translations of missing texts come from english and not from any other language pack
- deactivate 3D acceleration on Lenovo X61 / Intel GM965/GL960
Download (I got myself a bigger webspace):
- https://www.klepp.cn/darkness/iso/darkness-20250928.iso
- https://www.klepp.cn/darkness/iso/darkn … iso.sha256
Some Images:



Thumbnails of all new wallpapers:
Please feel free to download and try .. and post your experience ![]()
You can control scaling under "kcontrol -> Apparance & Themes -> Fonts":
- either change the DPI settings from 96 to e.g. 190
- or choose bugger fonts, e.g. "Adjust All Fonts" and the select 30px instead of 12px.
BTW, the latest stable TDE version got released the other day.
https://www.theregister.com/2025/05/01/ … eepreading
You can run konqueror as root, but you should not. Anyway,
tdesu konquerordoes the job - and your way works probably the best.
I cannot comment on the ntfs issues (don't have anything M$ to test). When you search you'll find that this is a long standing problem with ntfs across distribution - and was apparently never solved.
Thank you for testing ![]()
March 2025 version is out!
What do you get:
- Devuan Testing
- TDE 14.2.0 (dev branch)
- Openscad
- Firefox v135
- Kernel 6.12.17
- most firmware blobs
- dark theme
I have removed Zim Desktop Wiki due to the vast number of dependencies it pulls in.
UID / PWD:
user / user
root / toor
ISO: https://samhain.at/devuan_tde/darkness-20250302.iso
SHA256: https://samhain.at/devuan_tde/darkness- … iso.sha256
Note: default language is austrian german. Russian and englisch language packs are installed, too.
Thank you for testing. Refractainstaller is a bit tricky, but I did not find anything better yet so I stick with it ![]()
TDE14.2 (which I use) is the dev branche of TDE. Upgrades are usalluay very smooth without surprises.
As the name says: "testing" is for testing. If don't want to test, then don't.
Well, there are lots of "stable" remixes, but not a lot of "testing", e.g. "exegnulinux" is stable + TDE - so no need for another stable remix ![]()
Latest iteration of my Devuan Testing + TDE Remaster for AMD64. And I finally gave it a name ![]()
What do you get:
- Devuan Testing
- TDE 14.2
- Openscad
- Zim Desktop Wiki
- most firmeware blobs
- firefox
- dark theme
UID / PWD:
user / user
root / toor
ISO: https://samhain.at/devuan_tde/darkness-20240918.iso
SHA256: https://samhain.at/devuan_tde/darkness- … iso.sha256
Note: default language is austrian german. Russian and englisch language packs are installed, too.
Screenshots:


Please test and report any issues you find here.
@deepforest: Devuan ceres is a bit hard to find, otherwise it's just that ![]()
@aluma: I need zim for myself, so I included it. As the gtk3 stuff is already pulled in from refracta/gparted/lxappereance it's no big deal.
Even if that's a bit late: Purge libelogind-compat and do a dist-upgrade again. You'll find some more gotchas while upgrading to ceres - I just went through that the last days, too.
Spring edition:
ISO: https://samhain.at/devuan_tde/ceres-20240326.iso
SHA256: 1a99aac13d08df5949ba4ad410dfbbc8bc35bcff6a9a55d9b4cd48fd6a12e957
Biggest changes:
- moved to Ceres
- Kernel 6.7.9-amd64
- added "zim"
- removed "arduino"
- Bootmenu with language selection (AT/RU/EN)
Today I tried the new refractasnapshot from excalibur repository (10.4.0). It still cannot handle the standard initrd from the excalibur kernel --> creation of initrd "works", but the created initrd is not bootable. Problem is still the same as described above, which is handle_cpio_extraction only extracts the microcode, not the initrd:
cpio_extracted/
├── kernel
│ └── x86
│ └── microcode
│ └── GenuineIntel.bin
└── main_filesystem
I still dont understand why the extraction of the initrd is not handled by "unmkinitramfs".
Anyway, here comes the patch to make refractasnapshot work with stock devuan kernel and uncompressed initrd (note:I don't care about refractasnapshot-gui - you'd need about the same patches there):
--- /usr/bin/refractasnapshot-original 2024-03-02 12:37:19.027945614 +0100
+++ /usr/bin/refractasnapshot 2024-03-02 13:44:19.447975320 +0100
@@ -330,57 +330,6 @@
}
-handle_cpio_extraction () {
- #
- # Handle newer kernels, whose initrd might have the "actual"
- # filesystem concatenated. If so, temporarily save the original
- # initrd filename and work with the "real" filesystem image.
- #
- mkdir -p /tmp/cpio_extracted
- pushd /tmp/cpio_extracted
-
- local size=$(du -sb $initrd_image | cut -f 1)
- local cpio_extracted_size=$(cpio -iF $initrd_image 2>&1 | cut -d ' ' -f 1)
-
- if [[ $cpio_extracted_size < $size ]]; then
- dd if=$initrd_image of=main_filesystem skip=$cpio_extracted_size
- cpio_initrd_image=$initrd_image
- initrd_image="$(pwd)/main_filesystem"
- fi
-
- set_initrd_compression_type
-
- popd
-}
-
-
-cleanup_cpio_extraction () {
- #
- # Create the final CPIO archive, whose structure should match that
- # of the original initrd image. Remove old files/variables.
- #
- pushd /tmp/cpio_extracted
-
- rm main_filesystem || ( \
- echo "Error while removing extracted filesystem."
- echo "Try `rm /etc/cpio_extracted/main_filesystem` manually."
- exit 1
- )
- find . | cpio --create --format='newc' > rebuilt_cpio
- cat ${work_dir}/iso/live/${initrd_image##*/} >> rebuilt_cpio
-
- rm ${work_dir}/iso/live/${initrd_image##*/}
- initrd_image=$cpio_initrd_image
- unset cpio_initrd_image
-
- mv rebuilt_cpio ${work_dir}/iso/live/${initrd_image##*/}
-
- popd
- if [ -d "/tmp/cpio_extracted" ]; then
- rm -rf /tmp/cpio_extracted
- fi
-}
-
extract_initrd () {
@@ -389,26 +338,13 @@
set_initrd_compression_type
- if [ "$initrd_compression" == "cpio archive" ]; then
- echo "cpio archive found: Searching for its real filesystem..."
- unset initrd_compression
- handle_cpio_extraction
- fi
-
- if [ "$initrd_compression" == "Zstandard compressed" ]; then
- echo "Archive is zstd compressed..."
- zstd --decompress --stdout "$initrd_image" | \
- cpio --extract --make-directories --preserve-modification-time
-
- elif [ "$initrd_compression" == "gzip compressed" ]; then
- echo "Archive is gzip compressed..."
- zcat "$initrd_image" | cpio -i
-
- elif [ "$initrd_compression" == "XZ compressed" ]; then
- echo "Archive is XZ compressed..."
- xzcat "$initrd_image" | cpio -d -i -m
-
- fi
+ unmkinitramfs "$initrd_image" .
+ for i in main early; do
+ if [ -d $i ]; then
+ mv $i/* .
+ rmdir $i
+ fi
+ done
popd
@@ -450,7 +386,10 @@
pushd /tmp/extracted
- if [ "$initrd_compression" == "gzip compressed" ]; then
+ if [ "$initrd_compression" == "cpio archive" ]; then
+ find . -print0 | cpio -0 -H newc -o > ${work_dir}/iso/live/${initrd_image##*/}
+
+ elif [ "$initrd_compression" == "gzip compressed" ]; then
find . -print0 | cpio -0 -H newc -o | gzip -c > ${work_dir}/iso/live/${initrd_image##*/}
elif [ "$initrd_compression" == "XZ compressed" ] ; then
@@ -464,10 +403,6 @@
exit 1
fi
- if [ $cpio_initrd_image ]; then
- cleanup_cpio_extraction
- fi
-
popd
rm -rf /tmp/extractedLatest iteration:
ISO: https://samhain.at/devuan_tde/devuan_tde_20240204.iso
SHA256: https://samhain.at/devuan_tde/devuan_td … iso.sha256
Biggest changes:
- Kernel 6.6.13
- Bootmenu with language selection (AT/RU/EN)
I uploaded an updated image with "usrmerge" installed. Reason is that when you update to "kmod 30+20230601-2" or newer "mkinitrd" fails and leves you with an initrd that works just fine but Xorg does not have keyboard nor mouse - which is kind of bad.
New year, new ISO ![]()
This is my latest Devuan Excalibur + TDE 14.2 remaster for AMD64. It comes with OpenSCAD, Arduino and latest TDE 14.2. Please note that my TDE customisations are not copied to any new user.
UID / PWD:
user / user
root / toor
ISO: https://samhain.at/devuan_tde/devuan_tde_20240110.iso
SHA256: https://samhain.at/devuan_tde/devuan_td … iso.sha256
Note: default language is austrian german. Russian and englisch language packs are installed, too. Please see the first screenshot on where to change the default language.


Older images are still on my github account https://github.com/zwieblum/devuan-images
So I had some time beween fireworks and breakfast ![]()
These are 2 patches for /usr/bin/refractashapshot and /usr/bin/refractashapshot-gui. They take care of these things:
- unpacking the initramfs using `unmkinitramfs` instead of doing it manually.
- unite 'early' and 'main' directories, if firmware made things worse.
- support "cpio archive" if initramfs is uncompressed.
Patch for refractasnapshot:
--- /usr/bin/refractasnapshot-original 2024-01-01 09:09:11.664004107 +0100
+++ /usr/bin/refractasnapshot 2024-01-01 09:55:52.332110964 +0100
@@ -319,35 +319,14 @@
pushd /tmp/extracted
COMPRESSION=$(file -L "$initrd_image" | egrep -o 'gzip compressed|XZ compressed|cpio archive')
+ #COMPRESSION="XZ compressed"
- if [ "$COMPRESSION" = "gzip compressed" ]; then
- echo "Archive is gzip compressed..."
- zcat "$initrd_image" | cpio -i
-
- elif [ "$COMPRESSION" = "XZ compressed" ]; then
- echo "Archive is XZ compressed..."
- xzcat "$initrd_image" | cpio -d -i -m
-
- elif [ "$COMPRESSION" = "cpio archive" ]; then
- echo "Archive is cpio archive..."
- (cpio -i ; zcat | cpio -i) < "$initrd_image"
- exit_code="$?"
- if [ "$exit_code" -ne 0 ] ; then
- (cpio -i ; xzcat | cpio -i) < "$initrd_image"
- exit_code="$?"
- if [ "$exit_code" -ne 0 ] ; then
- echo "Decompression error" && exit 1
- else
- COMPRESSION="XZ compressed"
- fi
- else
- COMPRESSION="gzip compressed"
- fi
-
- echo "COMPRESSION is $COMPRESSION"
-
- else
- echo "Decompession error..." && exit 1
+ unmkinitramfs "$initrd_image" .
+ exit_code="$?"
+ [ -d early ] && ( mv early/* .; rmdir early )
+ [ -d main ] && ( mv main/* .; rmdir main )
+ if [ "$exit_code" -ne 0 ] ; then
+ echo "Decompression error" && exit 1
fi
popd
@@ -395,6 +374,8 @@
find . -print0 | cpio -0 -H newc -o | gzip -c > ${work_dir}/iso/live/${initrd_image##*/}
elif [ "$COMPRESSION" = "XZ compressed" ] ; then
find . | cpio -o -H newc | xz --check=crc32 --x86 --lzma2=dict=512KiB > ${work_dir}/iso/live/${initrd_image##*/}
+ elif [ "$COMPRESSION" = "cpio archive" ] ; then
+ find . -print0 | cpio -0 -H newc -o > ${work_dir}/iso/live/${initrd_image##*/}
else
echo "Compression error..."
exit 1Patch for refractasnapshot-gui:
--- /usr/bin/refractasnapshot-gui-original 2024-01-01 11:09:21.640279198 +0100
+++ /usr/bin/refractasnapshot-gui 2024-01-01 11:12:14.148285780 +0100
@@ -379,35 +379,14 @@
pushd /tmp/extracted
COMPRESSION=$(file -L "$initrd_image" | egrep -o 'gzip compressed|XZ compressed|cpio archive')
+ #COMPRESSION="XZ compressed"
- if [ "$COMPRESSION" = "gzip compressed" ]; then
- echo "Archive is gzip compressed..."
- zcat "$initrd_image" | cpio -i
-
- elif [ "$COMPRESSION" = "XZ compressed" ]; then
- echo "Archive is XZ compressed..."
- xzcat "$initrd_image" | cpio -d -i -m
-
- elif [ "$COMPRESSION" = "cpio archive" ]; then
- echo "Archive is cpio archive..."
- (cpio -i ; zcat | cpio -i) < "$initrd_image"
- exit_code="$?"
- if [ "$exit_code" -ne 0 ] ; then
- (cpio -i ; xzcat | cpio -i) < "$initrd_image"
- exit_code="$?"
- if [ "$exit_code" -ne 0 ] ; then
- echo "Decompression error" && exit 1
- else
- COMPRESSION="XZ compressed"
- fi
- else
- COMPRESSION="gzip compressed"
- fi
-
- echo "COMPRESSION is $COMPRESSION"
-
- else
- echo "Decompession error..." && exit 1
+ unmkinitramfs "$initrd_image" .
+ exit_code="$?"
+ [ -d early ] && ( mv early/* .; rmdir early )
+ [ -d main ] && ( mv main/* .; rmdir main )
+ if [ "$exit_code" -ne 0 ] ; then
+ echo "Decompression error" && exit 1
fi
popd
@@ -455,6 +434,8 @@
find . -print0 | cpio -0 -H newc -o | gzip -c > ${work_dir}/iso/live/${initrd_image##*/}
elif [ "$COMPRESSION" = "XZ compressed" ] ; then
find . | cpio -o -H newc | xz --check=crc32 --x86 --lzma2=dict=512KiB > ${work_dir}/iso/live/${initrd_image##*/}
+ elif [ "$COMPRESSION" = "cpio archive" ] ; then
+ find . -print0 | cpio -0 -H newc -o > ${work_dir}/iso/live/${initrd_image##*/}
else
echo "Compression error..."
exit 1So I redid every step ... result:
- refracta_12.0_nox_amd64-20230829_1853.iso boots, as you suggested it had the wrong checksum.
- RTAI and PREEMPT-RT don't boot in VM even after rebuilding. lsinitrd shows sane content.
- excalibur snapshot: lsinitrd just shows kernel microcode, nothing else.
It looks like my quck hack from https://dev1galaxy.org/viewtopic.php?pid=46256#p46256 is reponsible. The initrd is not unpacked correctly, so it's not rebuilt correctly. As refractasnapshop fails to unpack the initrd without the hack I'll need to dig deeper ...